summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2010-04-08 11:10:49 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-15 10:24:58 +0200
commitc816e20e0c33c995bd74fb31327f31553b83f691 (patch)
tree5d9082c79e7e45d2625b69bb7b6a81ca3165ab1d /games
parented633b81659bc9de1f8519fbd260a5102d5ca310 (diff)
downloadslackbuilds-c816e20e0c33c995bd74fb31327f31553b83f691.tar.gz
slackbuilds-c816e20e0c33c995bd74fb31327f31553b83f691.tar.xz
games/freedroidrpg: Added - a sci-fi isometric role playing game.
Diffstat (limited to 'games')
-rw-r--r--games/freedroidrpg/README6
-rw-r--r--games/freedroidrpg/doinst.sh3
-rwxr-xr-xgames/freedroidrpg/freedroidrpg.SlackBuild97
-rw-r--r--games/freedroidrpg/freedroidrpg.desktop8
-rw-r--r--games/freedroidrpg/freedroidrpg.info10
-rw-r--r--games/freedroidrpg/slack-desc19
6 files changed, 143 insertions, 0 deletions
diff --git a/games/freedroidrpg/README b/games/freedroidrpg/README
new file mode 100644
index 0000000000..c91b065249
--- /dev/null
+++ b/games/freedroidrpg/README
@@ -0,0 +1,6 @@
+FreedroidRPG is a mature open source sci-fi isometric role playing game.
+It strives at providing an immersive ambience backed by refined graphics
+and music tracks. Besides the hack'n'slash action phases, dialogs with
+dozens of NPCs take care of storytelling. The player can fight with
+melee or ranged weapons, take control of his enemies by hacking, and
+remotely execute code on enemy robots.
diff --git a/games/freedroidrpg/doinst.sh b/games/freedroidrpg/doinst.sh
new file mode 100644
index 0000000000..5013ef6d40
--- /dev/null
+++ b/games/freedroidrpg/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/freedroidrpg/freedroidrpg.SlackBuild b/games/freedroidrpg/freedroidrpg.SlackBuild
new file mode 100755
index 0000000000..c1ebb07fb0
--- /dev/null
+++ b/games/freedroidrpg/freedroidrpg.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackbuild for freedroidrpg
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# This script is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested it
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=freedroidrpg
+VERSION=0.13
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog HELP_WANTED INSTALL* NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/freedroidrpg/freedroidrpg.desktop b/games/freedroidrpg/freedroidrpg.desktop
new file mode 100644
index 0000000000..da08cfee22
--- /dev/null
+++ b/games/freedroidrpg/freedroidrpg.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=FreedroidRPG
+Comment=FreedroidRPG - A Diablo/Freedroid fusion
+Exec=freedroidRPG
+Icon=/usr/share/freedroidrpg/graphics/paraicon.bmp
+Terminal=false
+Type=Application
+Categories=Game;
diff --git a/games/freedroidrpg/freedroidrpg.info b/games/freedroidrpg/freedroidrpg.info
new file mode 100644
index 0000000000..6527aff641
--- /dev/null
+++ b/games/freedroidrpg/freedroidrpg.info
@@ -0,0 +1,10 @@
+PRGNAM="freedroidrpg"
+VERSION="0.13"
+HOMEPAGE="http://freedroid.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/freedroid/freedroidrpg-0.13.tar.bz2"
+MD5SUM="9109ffb242021ee2074767a5bfad63d4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
+APPROVED="rworkman"
diff --git a/games/freedroidrpg/slack-desc b/games/freedroidrpg/slack-desc
new file mode 100644
index 0000000000..12393c1372
--- /dev/null
+++ b/games/freedroidrpg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+freedroidrpg: freedroidrpg (isometric role playing game)
+freedroidrpg:
+freedroidrpg: FreedroidRPG is an open source, sci-fi isometric role playing game.
+freedroidrpg: Originally based on Freedroid Classic, this project has now vastly
+freedroidrpg: deviated from its parent.
+freedroidrpg:
+freedroidrpg: Homepage: http://freedroid.sourceforge.net
+freedroidrpg:
+freedroidrpg:
+freedroidrpg:
+freedroidrpg: